using MultiLayout;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 全部参数
    /// </summary>
    public class TempScanGraphParams : UIModuleParams<TempScanGraphItemParam>
    {

        public TempScanGraphParams()
        {
            string path = System.IO.Path.Combine(FlyLayout.BasePath, "tempscangraph.json");
            FilePath = path;
        }

        static TempScanGraphParams current = null;
        public static TempScanGraphParams Current
        {
            get
            {
                if (current == null)
                {
                    current = new TempScanGraphParams();
                    current.Load();
                }
                return current;
            }
        }
    }
}
